Subject: Re: [PATCH 0/3] batch blob diff generation

From: Junio C Hamano <[email-masked]>
Date: Mon, 16 Dec 2024 08:29:41 -0800

Jeff King <[email-masked]> writes:

> I recall that the performance of attr.tree is not great for _some_
> commands (like pack-objects). So it's perhaps reasonable to use for
> single commands like "git diff" but not to set in your on-disk config.
> It's possible we'd want to warn people about that before advertising it
> more widely? I dunno.

Or we disable the unusably-inefficient feature before doing so.
Would attr.tree be much less efficient than GIT_ATTR_SOURCE?